DataMapper 1.1.0 released

I'm pleased to announce that we have released DataMapper 1.1.

This has been one of the most enjoyable releases in recent memory. The community rallied together and compared to the previous release we had at least 3-4x more people submitting patches and working together to get this release ready.

DataMapper 1.1 brings several minor API changes, warranting the minor version bump, and closes 52 tickets in Lighthouse. There have been many performance improvements, some closing bottlenecks that result in as much as a 20x speedup from the 1.0.2 behaviour.

As part of the bug fixing process we've refactored some of the objects we use internally to group relationships and dependencies and removed methods and classes that were deprecated in 1.0.

Installation

DataMapper can be installed with a one-line command:

$ gem install datamapper dm-sqlite-adapter --no-ri --no-rdoc

The above command assumes you are using SQLite, but if you plan to use MySQL, PostgreSQL or something else replace dm-sqlite-adapter your preferred adapter gem.

Changes

Here's a full list of the tickets we've resolved for 1.1.

Highlights:

How to report issues

Please report any issues you find in IRC, on the mailing list, or in the bug tracker: